API Quick start

Calling a public endpoint

To dive right in you can start by trying a call to one of Paradex’s public endpoints:

List available markets

Get markets static data component

Query parameters

marketstringOptional

Market Name - example: BTC-USD-PERP

GET
/v1/markets
curl -X GET https://api.prod.paradex.trade/v1/markets \
-H 'Accept: application/json'
Response
{
"results": [
{
"asset_kind": "PERP",
"base_currency": "ETH",
"clamp_rate": "0.05",
"delta1_cross_margin_params": {
"imf_base": "0.11",
"imf_factor": "0",
"imf_shift": "0",
"mmf_factor": "0.51"
},
"expiry_at": 0,
"fee_config": {
"api_fee": {
"maker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
},
"taker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
}
},
"interactive_fee": {
"maker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
},
"taker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
}
},
"rpi_fee": {
"maker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
},
"taker_fee": {
"fee": "0.0003",
"fee_cap": "0.5",
"fee_floor": "-0.5"
}
}
},
"funding_multiplier": 1,
"funding_period_hours": 8,
"interest_rate": "0.01",
"iv_bands_width": "0.05",
"market_kind": "cross",
"max_funding_rate": "0.05",
"max_funding_rate_change": "0.0005",
"max_open_orders": 100,
"max_order_size": "100",
"max_slippage": "0.05",
"max_tob_spread": "0.2",
"min_notional": "3",
"open_at": 0,
"option_cross_margin_params": {
"imf": {
"long_itm": "0.2",
"premium_multiplier": "1.2",
"short_itm": "0.4",
"short_otm": "0.25",
"short_put_cap": "0.5"
},
"mmf": {
"long_itm": "0.2",
"premium_multiplier": "1.2",
"short_itm": "0.4",
"short_otm": "0.25",
"short_put_cap": "0.5"
}
},
"option_spread_margin_params": {
"unpaired_scale_im": "1.0",
"unpaired_scale_mm": "1.0"
},
"option_type": "PUT",
"oracle_ewma_factor": "0.2",
"order_size_increment": "0.001",
"position_limit": "500",
"price_bands_width": "0.05",
"price_feed_id": "GVXRSBjFk6e6J3NbVPXohDJetcTjaeeuykUpbQF8UoMU",
"price_tick_size": "0.01",
"quote_currency": "USD",
"settlement_currency": "USDC",
"strike_price": "66500",
"symbol": "ETH-USD-PERP",
"tags": [
"MEME",
"DEFI"
],
"trading_mode": "STANDARD"
}
]
}

Interacting with private endpoint

To interact with private Paradex endpoints you need to onboard and generate a JSON Web Token (JWT) before making API requests. JWTs are a secure way to transmit information between parties. Please refer to the Authentication chapter and onboarding and authentication code samples.